#!/bin/bash
# This script return the main server's IP and populates it to the argus.conf
# Magicollectd
# Date added: 3th September 2014

CURL_CONF="/usr/local/monitoring/collectd/etc/magic/argus.conf"
ARGUS_CONF="/usr/local/monitoring/collectd/etc/magic/argus_c.conf"

SHOSTNAME=$(hostname -s)
FHOSTNAME=$(hostname -f)

INTERFACE="eth0"
GET_INTERFACE=$(ifconfig | grep em1)
if [ -n "${GET_INTERFACE}" ]; then 
	INTERFACE="em1"
fi


#IP=$(ifconfig  ${INTERFACE} | grep -E "inet ad?dr" | /usr/bin/cut -d":" -f2 | /usr/bin/cut -d" " -f1)

## fix to match all distrib
# the m1 option in grep ensures that only the first IP is picked (example of kiss.magic.fr)
IP=$(ip -4 addr show dev ${INTERFACE} | grep inet -m1 | cut -d/ -f1 | awk '{ print $2}')

# ADD TO argus.conf
if [ -f "${CURL_CONF}" ]; then 
	sed -i -e "s/public_ip/${IP}/g" ${CURL_CONF}
    # Case OS is gentoo
    if [ -n "$(ls /etc/gentoo-release 2>/dev/null)" ]; then 
	    sed -i -e "s/8000/80/g" ${CURL_CONF}
    fi
fi
echo -e "\nHandled ${CURL_CONF} - Interface: $INTERFACE and IP: $IP"

# ADD TO argus_c.conf
if [ -f "${ARGUS_CONF}" ]; then 
	sed -i -e "s/SERVER/${SHOSTNAME}/g" ${ARGUS_CONF}
	sed -i -e "s/FQHN/${FHOSTNAME}/g" ${ARGUS_CONF}
    # Case OS is gentoo
    if [ -n "$(ls /etc/gentoo-release 2>/dev/null)" ]; then 
	    sed -i -e "s/8000/80/g" ${ARGUS_CONF}
    fi
fi
echo -e "\nHandled ${ARGUS_CONF} - Interface: $INTERFACE and IP: $IP and HOSTNAME = ${SHOSTNAME} ${FHOSTNAME}"


exit 0
